org.jboss.shrinkwrap.descriptor.api.j2ee14

## Interface SecurityRoleRefType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface SecurityRoleRefType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `security-role-refType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityRoleRefType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getRoleLink()` Returns the `role-link` element
    `java.lang.String` | `getRoleName()` Returns the `role-name` element
    `SecurityRoleRefType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `SecurityRoleRefType<T>` | `removeAllDescription()` Removes the `description` element
    `SecurityRoleRefType<T>` | `removeId()` Removes the `id` attribute
    `SecurityRoleRefType<T>` | `removeRoleLink()` Removes the `role-link` element
    `SecurityRoleRefType<T>` | `removeRoleName()` Removes the `role-name` element
    `SecurityRoleRefType<T>` | `roleLink(java.lang.String roleLink)` Sets the `role-link` element
    `SecurityRoleRefType<T>` | `roleName(java.lang.String roleName)` Sets the `role-name` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          SecurityRoleRefType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `SecurityRoleRefType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          SecurityRoleRefType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `SecurityRoleRefType`

    - #### roleName

          SecurityRoleRefType<T> roleName(java.lang.String roleName)

      Sets the `role-name` element
      Parameters:
        `roleName` - the value for the element `role-name`
      Returns:
        the current instance of `SecurityRoleRefType`

    - #### getRoleName

          java.lang.String getRoleName()

      Returns the `role-name` element
      Returns:
        the node defined for the element `role-name`

    - #### removeRoleName

          SecurityRoleRefType<T> removeRoleName()

      Removes the `role-name` element
      Returns:
        the current instance of `SecurityRoleRefType`

    - #### roleLink

          SecurityRoleRefType<T> roleLink(java.lang.String roleLink)

      Sets the `role-link` element
      Parameters:
        `roleLink` - the value for the element `role-link`
      Returns:
        the current instance of `SecurityRoleRefType`

    - #### getRoleLink

          java.lang.String getRoleLink()

      Returns the `role-link` element
      Returns:
        the node defined for the element `role-link`

    - #### removeRoleLink

          SecurityRoleRefType<T> removeRoleLink()

      Removes the `role-link` element
      Returns:
        the current instance of `SecurityRoleRefType`

    - #### id

          SecurityRoleRefType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `SecurityRoleRefType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          SecurityRoleRefType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `SecurityRoleRefType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)